Get KMS details
curl --request GET \
--url https://cloud-api.phala.com/api/v1/kms/{kms_id}import requests
url = "https://cloud-api.phala.com/api/v1/kms/{kms_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud-api.phala.com/api/v1/kms/{kms_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "kms_0123abcd",
"url": "<string>",
"version": "<string>",
"slug": "<string>",
"chain_id": 123,
"kms_contract_address": "<string>",
"gateway_app_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}KMS
Get KMS details
Retrieve KMS instance details by hashed ID or slug.
GET
/
api
/
v1
/
kms
/
{kms_id}
Get KMS details
Path Parameters
KMS ID (hashed) or slug
Response
Successful Response
KMS instance information.
Hashed KMS identifier (kms_xxxxx)
Pattern:
^kms_.+Example:
"kms_0123abcd"
KMS endpoint URL
KMS software version
Human-readable KMS name
Blockchain chain ID if onchain
Smart contract address if onchain
Gateway application ID
Was this page helpful?

